import { StorageItem } from '../types';
declare global {
    interface Window {
        REACT_INLINESVG_CACHE_NAME?: string;
        REACT_INLINESVG_PERSISTENT_CACHE?: boolean;
    }
}
export default class CacheStore {
    private cacheApi;
    private readonly cacheStore;
    private readonly subscribers;
    isReady: boolean;
    constructor();
    onReady(callback: () => void): void;
    get(url: string, fetchOptions?: RequestInit): Promise<string>;
    set(url: string, data: StorageItem): void;
    isCached(url: string): boolean;
    private fetchAndAddToInternalCache;
    private fetchAndAddToPersistentCache;
    private handleLoading;
    keys(): Array<string>;
    data(): Array<Record<string, StorageItem>>;
    delete(url: string): Promise<void>;
    clear(): Promise<void>;
}
